<!-- Slider main container -->
<div class="swiper-container">
    <!-- Additional required wrapper -->
    <div class="swiper-wrapper">
        <!-- Slides -->
        <div class="swiper-slide" *ngFor="let movie of movies" [ngStyle]="{
            'background-size': 'cover',
            'background-image': 'url(https://image.tmdb.org/t/p/w500' + movie.backdrop_path + ')'
        }">
            <div class="movie-description">
                <h3>{{movie.title}}</h3>
                <p>{{movie.overview | slice:0:130}}...</p>
            </div>
        </div>
        ...
    </div>
    <!-- If we need pagination -->
    <div class="swiper-pagination"></div>

    <!-- If we need navigation buttons -->
    <div class="swiper-button-prev" (click)="onSlidePrev()"></div>
    <div class="swiper-button-next" (click)="onSlideNext()"></div>

    <!-- If we need scrollbar -->
    <div class="swiper-scrollbar"></div>
</div>